System.ServiceModel 4.0.0.0 System.Collections.ObjectModel.Collection<System.Object> System.Object

This class is used to cache channel properties when channels are destroyed and re-created.

Represents a collection of channel parameters.

- Constructor
  4.0.0.0

  This default constructor implicitly calls the constructor of the parent class.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  An instance is created with set to .

  Initializes a new instance of the class.

  The channel whose parameters are in this collection.
- Property
  4.0.0.0
  System.ServiceModel.Channels.IChannel To be added.

  This property is set to when is called.

  Gets the channel whose parameters are in this collection.

- Method
  4.0.0.0
  System.Void To be added.

  Clears the collection of parameters.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Inserts the specified item into the collection using the specified index.

  The index of the item in the collection. The item to add to the collection.
- Method
  4.0.0.0
  System.Void `` To be added.

  Adds the parameters in the current collection to a specified channel's .

  The channel that receives the current collection's parameters.
- Method
  4.0.0.0
  System.Void `` To be added.

  Removes a parameter from the collection.

  Index of the parameter to remove.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Replaces an item in the collection at a specified index.

  Index of the item to replace. Value of the replacement item.